id: haivision-media-platform-panel

info:
  name: Haivision Media Platform Login Panel - Detect
  author: righettod
  severity: info
  description: Haivision Media Platform login panel was detected.
  reference:
    - https://www.haivision.com/
  metadata:
    verified: true
    max-request: 1
    shodan-query: http.title:"Haivision Media Platform"
  tags: panel,haivision,login,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}"

    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains_any(body, "<title>Haivision Media Platform", "content=\"Haivision Network Video")'
        condition: and
# digest: 490a004630440220746b7c15ec5b5a1168eefde3cd6d58c10c639bec9a87e5fa47e143ec68b445cf02203e4ba81b3e71073aef500b3a341e42d911e155b22c7872fd334a4dab88585fd8:922c64590222798bb761d5b6d8e72950